petsc-3.4.2 2013-07-02

# KSPSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetDM(KSP ksp,DM dm)

Logically Collective on KSP

### Input Parameters

| ksp | - the preconditioner context
| dm | - the dm

### See Also

KSPGetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html
src/ksp/ksp/examples/tutorials/ex22f.F.html
src/ksp/ksp/examples/tutorials/ex45f.F.html